{
  pkgs,
  lib,
  ...
}: {
  programs.nixvim = {
    enable = true;
    colorschemes.nord = {
      enable = true;
      borders = true;
      contrast = true;
    };
    clipboard = {
      providers.wl-copy.enable = true;
      register = "unnamedplus";
    };
    options = {
      number = true;
      relativenumber = true;
      tabstop = 2;
      shiftwidth = 2;
      expandtab = false;
      scrolloff = 5;
      autoindent = true;
      smartindent = true;
      copyindent = true;
      signcolumn = "yes";
      cursorline = true;
      showmode = false;
    };
    plugins = {
      lightline = {
        enable = true;
        colorscheme = "nord";
      };
      gitsigns = {
        enable = true;
      };
      treesitter = {
        enable = true;
        nixvimInjections = true;
      };
    };
    #    filetype.extension = {
    #    	".md" = ''
    #    		vim.bo.spell = true
    #    	'';
    #    };
  };
}
